Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154361 - Unable to remove preedit buffer cleanly in Evolution Calendar
Summary: Unable to remove preedit buffer cleanly in Evolution Calendar
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgal2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On: 140813
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-04-11 05:59 UTC by Leon Ho
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: libgal2-2.4.2-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 01:16:44 UTC


Attachments (Terms of Use)
initial patch to be able to remove preedit string cleanly (deleted)
2005-05-18 06:27 UTC, Akira TAGOH
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 303872 None None None Never

Description Leon Ho 2005-04-11 05:59:38 UTC
+++ This bug was initially created as a clone of Bug #140813 +++

Description of problem:
In CJK locale, input characters in the predit buffers cannot be
removed completely when they are not committed. 

Version-Release number of selected component (if applicable):
evolution-2.2.1.1-2
evolution-data-server-1.2.1-1

How reproducible:
Always

Steps to Reproduce:
1.from the g-t, run: LANG=ja_JP.UTF-8 evolution
2.click on calendar
3.single click on any time slot
4.ctrl-SPACE to enable Language Engine
5.enter 'sushi' 
6.use Backspace to remove the characters  

Actual results:
The first charcter cannot be removed

Expected results:
Everything should be removed.

Additional info:

Comment 1 Akira TAGOH 2005-05-18 06:27:52 UTC
Created attachment 114496 [details]
initial patch to be able to remove preedit string cleanly

Comment 2 Dave Malcolm 2005-05-19 21:00:55 UTC
Thanks.  The patch looks reasonable; I'm trying it out.

Comment 3 Dave Malcolm 2005-05-19 21:44:49 UTC
I'm building with the patch as libgal2-2.4.2-2

Comment 4 Lawrence Lim 2005-05-19 23:53:19 UTC
Tested Tagoh's patch from Comment #1, confirmed the patch is good for CJKI locale.


Thanks.

Comment 5 Jeremy Katz 2005-05-23 23:39:11 UTC
This has been built.

Comment 6 Lawrence Lim 2005-05-26 06:54:33 UTC
Confirmed fixed with evolution-2.2.2-7 and libgal2-2.4.2-5 in dist fc4-hold.



Comment 7 Warren Togami 2005-05-29 06:38:07 UTC
The fix happened too late.  Release this as a FC4 update a little later after
evolution gains more bug fixes to make an update worthwhile.


Comment 8 Lawrence Lim 2005-06-28 00:47:50 UTC
Packages from fc4-hold did not flow through. dist-fc4 still contains the old
packages which the bug exist.

evolution-data-server-1.2.2-3
evolution-devel-2.2.2-5
evolution-connector-2.2.2-5
evolution-webcal-2.2.0-1
evolution-2.2.2-5
evolution-data-server-devel-1.2.2-3

libgal2-devel-2.4.2-4
libgal2-2.4.2-4

Comment 9 Lawrence Lim 2005-06-28 01:16:44 UTC
My apologies. I have misread this bug as bug 154360. Please ignore Comment #8.

Confirm this bug has been fixed. Test with libgal2-2.4.2-4. 

Comment 10 Akira TAGOH 2005-06-29 13:17:22 UTC
Dave, can you push the updated packages to fix the kind of evolution bugs for FC4?

Comment 11 Lawrence Lim 2005-07-06 06:47:36 UTC
Tested with evolution-2.2.3-1.fc4 and libgal2-2.4.3-1.fc4 from
dist-fc4-updates-candidate, confirm the bug has been fixed.


Thanks.


Note You need to log in before you can comment on or make changes to this bug.